#
# Conditional build:
%bcond_with	tests	# perform "make test" (3 tests fail)

%define 	module	feedparser
Summary:	Parse RSS and Atom feeds in Python
Summary(pl.UTF-8):	Biblioteka Feed Parser dla Pythona
Name:		python3-%{module}
Version:	6.0.10
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	https://github.com/kurtmckee/feedparser/archive/%{version}.tar.gz
# Source0-md5:	d69e59156dfe7b64842befdc1c621a2d
URL:		https://github.com/kurtmckee/feedparser
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Universal Feed Parser is a Python module for downloading and parsing
syndicated feeds. It can handle RSS 0.90, Netscape RSS 0.91, Userland
RSS 0.91, RSS 0.92, RSS 0.93, RSS 0.94, RSS 1.0, RSS 2.0, Atom 0.3,
Atom 1.0, and CDF feeds. It also parses several popular extension
modules, including Dublin Core and Apple's iTunes extensions.

%description -l pl.UTF-8
Ten pakiet umożliwia analizę źródeł RSS i Atom w Pythonie.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build
%{?with_tests:cd feedparser; PYTHONPATH=../build-3 %{__python3} feedparsertest.py; cd ..}

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE NEWS README.rst
%{py3_sitescriptdir}/feedparser
%{py3_sitescriptdir}/feedparser-*.egg-info
%changelog
* Sun May 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-feedparser.git;a=log;h=master

* Sat May 21 2022 Jan Palus <atler@pld-linux.org> 5e3c884
- up to 6.0.10

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 593a022
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 842b166
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 15e9fd0
- rebuild with python 3.10

* Thu Jun 24 2021 Jan Palus <atler@pld-linux.org> b5b5aa3
- up to 6.0.8

* Thu Jun 17 2021 Jan Palus <atler@pld-linux.org> 03e2926
- up to 6.0.6

* Thu Mar 11 2021 Jan Palus <atler@pld-linux.org> 5a32767
- up to 6.0.2

* Thu Mar 11 2021 Jan Palus <atler@pld-linux.org> faf6b81
- rename to python3-feedparser

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f2cad2
- release 5 (by relup.sh)

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> a299f22
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1ab4f0f
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b7bc305
- release 2 (by relup.sh)

* Sun Sep 03 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 75c4dfa
- up to 5.2.1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d399c9f
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8baab56
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b50ae59
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bcdb6e7
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d0dba07
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a277c8
- python 3.5 rebuild
- release 3 (by relup.sh)

* Fri Oct 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 877d281
- rel 2; build python3 module, too

